# wso2wsf::OMText Class Reference
[OM Text]

class OMText This object can contain data as a String, char[] or a DataHandler. More...

`#include <OMText.h>`

Inheritance diagram for wso2wsf::OMText:

List of all members.

## Public Member Functions
WSF_EXTERN | OMText (OMNode *parent, std::string value)
WSF_EXTERN | OMText (std::string value)
WSF_EXTERN | OMText (OMNode *parent, OMDataHandler *dataHandler)
WSF_EXTERN | OMText (OMDataHandler *data_handler)
WSF_EXTERN | OMText ()
| OMText (OMNode *parent, axiom_node_t *node)
| ~OMText ()
WSF_EXTERN bool | setValue (std::string value)
WSF_EXTERN std::string | getValue ()
WSF_EXTERN std::string | getText ()
WSF_EXTERN void | optimize (bool optimize)
WSF_EXTERN void | isBinary (bool is_binary)
WSF_EXTERN OMDataHandler * | getDataHandler ()
WSF_EXTERN std::string | getContentId ()
WSF_EXTERN bool | setContentId (std::string content_id)
virtual WSF_EXTERN axiom_types_t | nodeType ()

## Detailed Description

class OMText This object can contain data as a String, char[] or a DataHandler.

## Constructor & Destructor Documentation

WSF_EXTERN wso2wsf::OMText::OMText | ( | OMNode * | parent,
|  | std::string | value |
| ) |  |  |

Creates an om text struct.

Parameters:

  | parent | parent element.
  | value | Text value. Optional, can be NULL.

WSF_EXTERN wso2wsf::OMText::OMText | ( | std::string | value | ) |

Creates an om text struct.

Parameters:

  | value | Text value. Optional, can be NULL.

WSF_EXTERN wso2wsf::OMText::OMText | ( | OMNode * | parent,
|  | OMDataHandler * | dataHandler |
| ) |  |  |

Creates an om text struct.

Parameters:

  | parent | parent element.
  | dataHandler | DataHanlder object instance to be associated with this OMText

WSF_EXTERN wso2wsf::OMText::OMText | ( | OMDataHandler * | data_handler | ) |

Creates an om text struct.

Parameters:

  | data_handler | the data handler. Optional, can be NULL.

WSF_EXTERN wso2wsf::OMText::OMText | ( |  | ) |

Creates an om text struct.

wso2wsf::OMText::OMText | ( | OMNode * | parent,
|  | axiom_node_t * | node |
| ) |  |  |

Creates an om text struct.

Parameters:

  | parent | parent element.
  | node | node used to build the element. cannot be NULL.

wso2wsf::OMText::~OMText | ( |  | ) |

Destructor that frees resources.

## Member Function Documentation

WSF_EXTERN std::string wso2wsf::OMText::getContentId | ( |  | ) |

Gets the content id.

Returns:
  content id is returned.

WSF_EXTERN OMDataHandler* wso2wsf::OMText::getDataHandler | ( |  | ) |

Retrieves data handler.

Returns:
  data handler is returned.

WSF_EXTERN std::string wso2wsf::OMText::getText | ( |  | ) |

Gets text value from the text node even when MTOM optimized

Returns:
  text value base64 encoded text when MTOM optimized, "" is returned if there is no text value.

WSF_EXTERN std::string wso2wsf::OMText::getValue | ( |  | ) |

Gets text value

Returns:
  text value, "" is returned if there is no text value.

WSF_EXTERN void wso2wsf::OMText::isBinary | ( | bool | is_binary | ) |

Sets whether to use binary or not.

Parameters:

  | is_binary | binary or not.

virtual WSF_EXTERN axiom_types_t wso2wsf::OMText::nodeType | ( |  | ) | `[virtual]`

get the node type of this element. Node type can be one of AXIOM_ELEMENT, AXIOM_COMMENT, AXIOM_TEXT AXIOM_DOCTYPE, AXIOM_PROCESSING_INSTRUCTION.

Returns:
  node type.

Implements wso2wsf::OMNode.

WSF_EXTERN void wso2wsf::OMText::optimize | ( | bool | optimize | ) |

Sets optimized.

Parameters:

  | optimize | optimize value or not.

WSF_EXTERN bool wso2wsf::OMText::setContentId | ( | std::string | content_id | ) |

Sets the content id.

Parameters:

  | content_id | content id to be set.

Returns:
  status of the op. true on success, false on error.

WSF_EXTERN bool wso2wsf::OMText::setValue | ( | std::string | value | ) |

Sets the text value

Parameters:

  | value | text.

Returns:
  status of the op. true on success, false on error.

The documentation for this class was generated from the following file:

- OMText.h